<template>
	<dm-pop-view ref='popView' :isShowTitle="false" :isShowClose="false" :isShowConfirm="false" :maskTapHide='maskTapHide'>
		<view class="content">
			<view class="content-des">{{desContent}}</view>
			<view class="goBtn" :style="`background-color: ${themeColor};`" @click="confirmAction">{{confirmStr}}</view>
			<view class="knowBtn" @click="knowAction">{{cancelStr}}</view>
		</view>
	</dm-pop-view>
</template>

<script>
	import dmPopView from './dmPopView.vue'
	
	let app = getApp();
	export default {
		props: {
			maskTapHide: {
				type: Boolean,
				default: true
			},
			desContent: String,
			confirmStr: {
				type: String,
				default: '确认'
			},
			cancelStr: {
				type: String,
				default: '我再看看'
			}
		},
		data() {
			return {
				themeColor: null,
				fuzhuColor: null,
				themeColor50: null,
				themeColor25: null,
				fuzhuColor50: null,
			}
		},
		mounted() {
			this.themeColor = app.globalData.themeColor
			this.themeColor50 = app.globalData.themeColor50
			this.themeColor25 = app.globalData.themeColor25
			this.fuzhuColor = app.globalData.fuzhuColor
			this.fuzhuColor50 = app.globalData.fuzhuColor50
			
		},
		methods: {
			show() {
				this.$refs.popView.show()
			},
			knowAction(){
				this.$refs.popView.hide()
			},
			confirmAction() {
				this.$refs.popView.hide()
				this.$emit('confirmAction')
			}
		},
		components: {
			dmPopView
		}
	}
</script>

<style scoped lang="scss">
	.content {
		width: 100%;
		height: 520rpx;
		font-family: Verdana;
		
		.content-des {
			color: #333333;
			font-size: 32rpx;
			font-weight: bold;
			margin-top: 105rpx;
			text-align: center;
		}
		
		.goBtn {
			width: 260rpx;
			height: 84rpx;
			border-radius: 42rpx;
			margin-left: calc((100% - 260rpx) / 2);
			margin-top: 100rpx;
			font-size: 32rpx;
			color: #FFFFFF;
			line-height: 84rpx;
			text-align: center;
		}
		
		.knowBtn {
			width: 260rpx;
			height: 84rpx;
			border-radius: 42rpx;
			margin-left: calc((100% - 260rpx) / 2);
			margin-top: 20rpx;
			color: #666666;
			font-size: 32rpx;
			line-height: 84rpx;
			text-align: center;
		}
		
	}
</style>
